'''Game main module.

Contains the entry point used by the run_game.py script.

Feel free to put all your game code here, or in other modules in this "lib"
directory.
'''
import time
import pygame
import world
import data
import display
import menu
from pygame.locals import *

def quit(clock):
    print clock.get_fps()
    raise SystemExit

def main():
    pygame.init()
    screen = display.setup()
    #menu.run(screen)
    arr_kelaan = world.World(screen)
    hero = world.Hero(arr_kelaan, "hero.png", arr_kelaan.start)
    arr_kelaan.add_hero(hero)
    screen.fill((0,200,255))
    pygame.display.flip()
    clock = pygame.time.Clock()
    while True:
        clock.tick(30)
        arr_kelaan.step()
        for event in pygame.event.get():
            if event.type == KEYDOWN:
                if event.key == K_LEFT:
                    hero.physics.x_movement = -8
                elif event.key == K_RIGHT:
                    hero.physics.x_movement = 8
                elif event.key == K_RCTRL:
                    hero.jump()
                elif event.key == K_ESCAPE:
                    quit(clock)
            elif event.type == KEYUP:
                if event.key == K_LEFT:
                    hero.physics.x_movement = 0
                elif event.key == K_RIGHT:
                    hero.physics.x_movement = 0

if __name__ == "__main__":
    main()
