import pygame
from pygame.locals import *
import data

def get_image_list(image, frame_width):
    image_list = []
    height = image.get_height()
    for frame in xrange(image.get_width()/frame_width):
        image_list.append(image.subsurface(Rect(frame*frame_width, 0,
                                           frame_width, height)))
    return image_list

def setup(size=(640,480), flags=0):
    screen = pygame.display.set_mode(size, flags)
    return screen

def get_frame(frame_list):
    while True:
        for frame in frame_list:
            yield frame

def main():
    screen = setup()
    hero_walk = pygame.image.load(data.load("hero_walk3.png")).convert()
    walk = get_image_list(hero_walk, 40)
    step = get_frame(walk)
    rect = Rect((312, 243, 64, 40))
    run = True
    clock = pygame.time.Clock()
    while run:
        clock.tick(10)
        for event in pygame.event.get():
            if event.type == QUIT:
                run = False
        screen.blit(step.next(), rect)
        pygame.display.flip()

if __name__ == "__main__":
    main()
